camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christian Ohr (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-7301) Move to new HAPI API, since the current one is being deprecated
Date Sun, 18 May 2014 19:39:38 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-7301?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14001172#comment-14001172
] 

Christian Ohr commented on CAMEL-7301:
--------------------------------------

I implemented the upgrade to HAPI 2.2, including use of the new API 

> Move to new HAPI API, since the current one is being deprecated
> ---------------------------------------------------------------
>
>                 Key: CAMEL-7301
>                 URL: https://issues.apache.org/jira/browse/CAMEL-7301
>             Project: Camel
>          Issue Type: Improvement
>          Components: camel-hl7
>            Reporter: Richard Kettelerij
>            Priority: Minor
>
> We're currently using the HAPi 2.0 API. In 2.1 HAPI introduced a new API centered around
the new HapiContext object. The current API is fully functional but being deprecated. We should
eventually move to the new API see http://hl7api.sourceforge.net/upgrade_to_hapi_2_1.html



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message